Entur Developer
Reserve Offers

Reserve Offers

Server

Add regular products to order through offer.


Add reservable offers to an order

POST
https://api.staging.entur.io/sales
/v1/reserve-offers

Takes a set of offerIds which might need reservations, performs reservations where applicable and adds the offers as orderlines to an existing order

Add reservable offers to an order › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Add reservable offers to an order › Request Body

The input-holder for reserving offers and add them to an existing order.
​OfferConfiguration[] · required

A list of offer configurations selected for purchase

orderId
​string

The offer to add the order to. If no orderId is specified, a new order is created

Example: ABCD1234

Add reservable offers to an order › Responses

OK

A wrapper that holds the resulting ids for newly created order lines, reservations and possible replacement order lines
orderId
​string · required
orderLineIds
​string[] · required
reservationIds
​string[] · required
​ReplacedOrderLineIds[] · required
Default: []

Update order lines in an order with reservable offers

POST
https://api.staging.entur.io/sales
/v1/update-order

Updates a set of order lines on an order with new offer and traveller details

Update order lines in an order with reservable offers › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update order lines in an order with reservable offers › Request Body

The holder for a change offer configuration.
orderId
​string · required

The order to add the offer(s) to

Example: ABCD1234
​ChangeOrderLinesConfiguration[] · required

A list of change offer configurations selected for purchase

refundPriceDifference
​boolean · required

Experimental value that is used to refund the price difference between the original purchase and the change, if the change is cheaper than the original product.

Default: false

Update order lines in an order with reservable offers › Responses

OK

A wrapper that holds the resulting ids for newly created order lines, reservations and possible replacement order lines
orderId
​string · required
orderLineIds
​string[] · required
reservationIds
​string[] · required
​ReplacedOrderLineIds[] · required
Default: []

Update order lines in an order with additional supplement products

POST
https://api.staging.entur.io/sales
/v1/update-order/supplement-products

Updates a set of order lines on an order with additional supplement products. Only products which does not modify current seating are currently supported.

Update order lines in an order with additional supplement products › Headers

Entur-Distribution-Channel
​string · required · style: simple

A header containing the distribution channel ID.

Entur-Pos
​string · required · style: simple

Point-of-sale identifier.

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update order lines in an order with additional supplement products › Request Body

The holder for an add supplement product configuration.
​AddSupplementProductsConfiguration[] · required

A list of supplement product configurations selected for purchase

orderId
​string · required

The order to add the supplement product(s) to

Example: ABCD1234

Update order lines in an order with additional supplement products › Responses

OK

A wrapper that holds the resulting ids for newly created order lines, reservations and possible replacement order lines
orderId
​string · required
orderLineIds
​string[] · required
reservationIds
​string[] · required
​ReplacedOrderLineIds[] · required
Default: []

Did you find what you were looking for?